Name:          libgeotiff
Version:       1.7.1
Release:       1mamba
Summary:       A TIFF based interchange format for georeferenced raster imagery
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/OSGeo/libgeotiff
Source:        https://github.com/OSGeo/libgeotiff.git/%{version}/libgeotiff-%{version}.tar.bz2
Patch0:        libgeotiff-1.7.1-proj-9.4.0-1.patch
Patch1:        libgeotiff-1.7.1-proj-9.4.0-2.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libjpeg-devel
BuildRequires: libproj-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
A TIFF based interchange format for georeferenced raster imagery.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q
%patch 0 -p1 -b .proj-9.4.0-1
%patch 1 -p1 -b .proj-9.4.0-2

cd libgeotiff
./autogen.sh

%build
cd libgeotiff
%configure \
   --with-jpeg=yes \
   --with-zlib=yes

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
cd libgeotiff
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libgeotiff.so.*
%doc libgeotiff/LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/cpl_serv.h
%{_includedir}/epsg_*.inc
%{_includedir}/geo*.inc
%{_includedir}/geo*.h
%{_includedir}/xtiffio.h
%{_libdir}/libgeotiff.a
%{_libdir}/libgeotiff.so
%doc README.md

%files tools
%defattr(-,root,root)
%{_bindir}/applygeo
%{_bindir}/geotifcp
%{_bindir}/listgeo
%{_mandir}/man1/applygeo.1*
%{_mandir}/man1/geotifcp.1*
%{_mandir}/man1/listgeo.1*

%changelog
* Mon May 06 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.1-1mamba
- package created using the webbuild interface
